using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IFaultRecordsRepository : IRepository<FaultRecord>
	{
        IQueryable<FaultRecord> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

		string GenerateFaultNumber();

		int GetFaultsCount(int faultTypeID);

        //FaultRecord Get(string roomNumber,string number,
	}
}
